org.apache.xpath.operations

## Class NotEquals

- java.lang.Object
- - org.apache.xpath.Expression
  - - org.apache.xpath.operations.Operation
    - - org.apache.xpath.operations.NotEquals

All Implemented Interfaces:
  java.io.Serializable, SourceLocator, ExpressionNode, ExpressionOwner, XPathVisitable

    public class NotEquals
    extends Operation

The '!=' operation expression executer.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NotEquals()`

### Method Summary

Methods
`XObject` `operate(XObject left, XObject right)` Apply the operation to two operands, and return the result.

### Methods inherited from class org.apache.xpath.operations.Operation

`callVisitors, canTraverseOutsideSubtree, deepEquals, execute, fixupVariables, getExpression, getLeftOperand, getRightOperand, setExpression, setLeftRight`

### Methods inherited from class org.apache.xpath.Expression

`asIterator, asIteratorRaw, asNode, assertion, bool, error, execute, execute, execute, executeCharsToContentHandler, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getColumnNumber, getExpressionOwner, getLineNumber, getPublicId, getSystemId, isNodesetExpr, isStableNumber, num, warn, xstr`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NotEquals

    public NotEquals()

### Method Detail

#### operate

    public XObject operate(XObject left,
                  XObject right)
                    throws TransformerException

Apply the operation to two operands, and return the result.

Overrides:
  `operate` in class `Operation`
Parameters:
  `left` - non-null reference to the evaluated left operand.
  `right` - non-null reference to the evaluated right operand.
Returns:
  non-null reference to the XObject that represents the result of the operation.
Throws:
  `TransformerException`